Subject: Re: An easy (but possibly time-consuming) test case for Make hanging (was: Re: Make hung in WaitForMultipleObjects inside Cygwin)
From: Jesper Eskilson <[email-masked]>
To: Jonathan Kamens <[email-masked]>
Cc: [email-masked]
Date: 05 Mar 2001 08:57:29 +0100

Jonathan Kamens <[email-masked]> writes:

> I've found that if you put the Makefile shown below into an empty
> directory on a dual-processor machine running Cygwin 1.1.8-2 and Make
> 3.79.1-2 and run "while true; do make -j2; done", you'll eventually
> get a Make process hung as I described in my messages last week
> (although it may take a couple of days).  You know things are hung
> when output stops in the window in which you run the "while" loop.
> 
> I've reach the limit of my ability to debug this further.  Could
> someone with more knowledge of Cygwin internals try to duplicate this,
> using this test case?

I can offer to test it on a single-CPU machine, if that is of interest.

/Jesper
-- 
-------------------------------------------------------------------------
Jesper Eskilson                                         [email-masked]
Virtutech                                         http://www.virtutech.se
-------------------------------------------------------------------------

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple